summaryrefslogtreecommitdiff
path: root/user:hugues/KeyBindings.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'user:hugues/KeyBindings.zsh')
-rw-r--r--user:hugues/KeyBindings.zsh11
1 files changed, 11 insertions, 0 deletions
diff --git a/user:hugues/KeyBindings.zsh b/user:hugues/KeyBindings.zsh
index b06844d..5666dc3 100644
--- a/user:hugues/KeyBindings.zsh
+++ b/user:hugues/KeyBindings.zsh
@@ -58,3 +58,14 @@ zle-line-init() { zle vi-cmd-mode }
zle -N zle-line-init
# Go see man zshzle for more details.
+zle-keymap-select()
+{
+ # $1 is the old keymap
+ # $KEYMAP is the new one
+
+ local curr="$([ "$KEYMAP" = "main" ] && echo "viins" || echo $KEYMAP)"
+
+ term_title " [$curr]"
+
+}
+zle -N zle-keymap-select